HttpClientTransportChannel (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.http.HttpClientTransportChannel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.http
Class HttpClientTransportChannel

    java.lang.Object
      org.codehaus.activemq.transport.TransportChannelSupport
          org.codehaus.activemq.transport.http.HttpTransportChannelSupport
              org.codehaus.activemq.transport.http.HttpClientTransportChannel

All Implemented Interfaces:
  Runnable, Service, TransportChannel

public class HttpClientTransportChannel
extends HttpTransportChannelSupport

A HTTP `TransportChannel` which uses the commons-httpclient library

Version:
  $Revision: 1.1 $

Field Summary

Fields inherited from class org.codehaus.activemq.transport.TransportChannelSupport
`pendingStop, transportConnected`

Constructor Summary
`HttpClientTransportChannel(TextWireFormat wireFormat, String remoteUrl)`

Method Summary
`void` | `asyncSend(Packet packet)` Asynchronously send a Packet
`protected void` | `configureMethod(org.apache.commons.httpclient.HttpMethod method)`
`protected org.apache.commons.httpclient.HttpClient` | `createHttpClient()`
`org.apache.commons.httpclient.HttpClient` | `getReceiveHttpClient()`
`org.apache.commons.httpclient.HttpClient` | `getSendHttpClient()`
`boolean` | `isMulticast()`
`void` | `run()`
`void` | `setReceiveHttpClient(org.apache.commons.httpclient.HttpClient receiveHttpClient)`
`void` | `setSendHttpClient(org.apache.commons.httpclient.HttpClient sendHttpClient)`

Methods inherited from class org.codehaus.activemq.transport.http.HttpTransportChannelSupport
`canProcessWireFormatVersion, getClosed, getCurrentWireFormatVersion, getRemoteUrl, getStarted, getWireFormat, setClientID, setWireFormat, start, startThread, stop, toString`

Methods inherited from class org.codehaus.activemq.transport.TransportChannelSupport
`addTransportStatusEventListener, doAsyncSend, doConsumePacket, doConsumePacket, doHandleReceipt, doHandleWireFormat, fireStatusEvent, fireStatusEvent, getClientID, getExceptionListener, getPacketListener, getTransportChannelListener, isPendingStop, isServerSide, isTransportConnected, onAsyncException, removeTransportStatusEventListener, send, send, setExceptionListener, setPacketListener, setPendingStop, setServerSide, setTransportChannelListener, setTransportConnected, stopExecutor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpClientTransportChannel

    public HttpClientTransportChannel(TextWireFormat wireFormat,
                                      String remoteUrl)

Method Detail

### asyncSend

    public void asyncSend(Packet packet)
                   throws JMSException

  Description copied from interface: `TransportChannel`
  Asynchronously send a Packet

  Parameters:
    `packet` -
  Throws:
    `JMSException`

### isMulticast

    public boolean isMulticast()

  Specified by:
    `isMulticast` in interface `TransportChannel`
  Overrides:
    `isMulticast` in class `HttpTransportChannelSupport`

### run

    public void run()

### getSendHttpClient

    public org.apache.commons.httpclient.HttpClient getSendHttpClient()

### setSendHttpClient

    public void setSendHttpClient(org.apache.commons.httpclient.HttpClient sendHttpClient)

### getReceiveHttpClient

    public org.apache.commons.httpclient.HttpClient getReceiveHttpClient()

### setReceiveHttpClient

    public void setReceiveHttpClient(org.apache.commons.httpclient.HttpClient receiveHttpClient)

### createHttpClient

    protected org.apache.commons.httpclient.HttpClient createHttpClient()

### configureMethod

    protected void configureMethod(org.apache.commons.httpclient.HttpMethod method)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.